Page MenuHomeFreeBSD

Update devel/glib20 to 2.66.0
ClosedPublic

Authored by bapt on Jun 15 2020, 12:52 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bapt requested review of this revision.Jun 15 2020, 12:52 PM
mikael added inline comments.
devel/glib20/Makefile
71 ↗(On Diff #73131)

environ

Merge with version submitted on github

Somewhere after combining my (and kwm)'s version with these changes, Cinnamon breaks completely. Investigating.

Folks, try to restore devel/glib20/files/patch-gmodule_gmodule-dl.c

linimon retitled this revision from Update glib20 to 2.64.3 to Update devel/glib20 to 2.64.3.Jun 26 2020, 8:01 AM

Restoring patch-gmodule_gmodule-dl.c has no effect; Cinnamon is still broken. I suspect some more files need restored.

Restoring patch-gmodule_gmodule-dl.c has no effect; Cinnamon is still broken. I suspect some more files need restored.

patch-gio_xdgmime_xdgmime.c
patch-gio_xdgmi~xdgmimecache.h
patch-glib_fix_hidden --- memory management?
patch-glib_gutils.c
patch-gmodule_gmodule-dl.c --- linker
patch-revert-8abf3a0

All of them are present in my test tree with 2.64.3, no glib-related failures detected

Restoring patch-gmodule_gmodule-dl.c has no effect; Cinnamon is still broken. I suspect some more files need restored.

patch-gio_xdgmime_xdgmime.c
patch-gio_xdgmi~xdgmimecache.h
patch-glib_fix_hidden --- memory management?
patch-glib_gutils.c
patch-gmodule_gmodule-dl.c --- linker
patch-revert-8abf3a0

All of them are present in my test tree with 2.64.3, no glib-related failures detected

@fluffy maybe you want to takeover that review and append your own patches? My bandwidth as reduced a bit since I posted it. My exp-run request is here if you want to takeover: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=247278

@ml_vishwin.info what's the status with cinnamon at the moment?

Cinnamon port itself isn't up to date, so it might be than updating it to the latest version will fix the problem with the new glib. gnome@ surely need more man-power.

All comments about Cinnamon refer to the current upstream version, which is 4.6. Even the latest upstream does not explicitly require the latest glib; it works with 2.56 perfectly fine iirc.

That being said, it appears some of my additional Makefile REINPLACEing (to compensate for our hier(7)) that are present here are wrong, and not necessarily the patches themselves. That's what's been causing the brokenness.

x11/cinnamon|gnome@FreeBSD.org|2020-09-15|Uses deprecated version of python

cinnamon is due to be removed next week -- if that is the only blocker for the glib upgrade, I think it's time to complete the exp-run and commit this :)

I think we'll need to commit the current Cinnamon, even though the screensaver unlocking is still broken at the moment. Python 2 removal is more pressing at the moment. Some of the patches and REINPLACEs here are incorrect, which cause the Cinnamon issues.

Also, we're up to glib 2.66.0 now.

Folks, something wrong with access rights? Cannot update diff for this revision, only available to create a new revision when hit "update diff". Or I need to commandeer it before update?

2.66.0 diff is already here https://people.freebsd.org/~fluffy/-patches/glib20-2.66.0.diff

Or I need to commandeer it before update?

Yes, if you have a new diff for this you'll need to commandeer the review first then upload the diff.

fluffy updated this revision to Diff 77006.
fluffy added a reviewer: bapt.
fluffy retitled this revision from Update devel/glib20 to 2.64.3 to Update devel/glib20 to 2.66.0.

The correct one, without mistypes, sorry :(

devel/glib20/Makefile
36 ↗(On Diff #77007)

^ python3=${PYTHON_CMD} ?

75 ↗(On Diff #77007)

^${PYTHON_CMD} ?

s/PYTHON_VERSION/PYTHON_CMD/g

Thanks, Tobias!

This needs a -Ddefault_library=both in MESON_ARGS, as some ports like emulators/qemu-user-static rely on static libraries. Meson's default behaviour is to build the shared libraries only.

fluffy removed a reviewer: kwm.

Provide static libraries too

bapt edited reviewers, added: fluffy; removed: bapt.
This revision is now accepted and ready to land.Sep 21 2020, 7:28 AM
This revision was automatically updated to reflect the committed changes.